#ifndef AUTIL2_H
#define AUTIL2_H

extern int  ConsoleMayRead(struct MsgPort *,char *),
            FindDir(struct Window *,char []),
            FindStart(int *,unsigned char *[],char [],char [],char []),
            MakeAutoReq(struct Window *,char *,char *,char *),
            MakeButtonReq(struct Window *,char *,int,char **,short *,int,
               int,int *),
            MakeIcon(unsigned short [],int,int,char *,char *,int),
            MakeStringReq(struct Window *,char *,int,char *,int,int *,double *,
               int),
            OpenConsole(struct IOStdReq **,struct IOStdReq **,struct MsgPort **,
               struct MsgPort **,char *,char *,struct Window *),
            openlibs(void),
            OpenWriteCon(struct IOStdReq **,struct MsgPort **,char *,
               struct Window *),
            safeclose(struct Window *);
extern void closelibs(void),
            ConsoleWrite(struct IOStdReq *,char *,int),
            DelConsole(struct IOStdReq *,struct IOStdReq *,struct MsgPort *,
               struct MsgPort *),
            DelWriteConsole(struct IOStdReq *,struct MsgPort *),
            MakePointer(struct Window *,int),
            QueueRead(struct IOStdReq *,char *),
            Sleep(struct Window *,unsigned long,int);
extern char ConsoleRead(struct MsgPort *,char *),
            *get_fname(struct Window *,struct Screen *,char *,char *,char *,
            char *);
extern struct SuperMenuItem{unsigned short ItemNum;
                            char Enabled,CmndChar,*Text;
                            unsigned short SetFlags,ClrFlags;
                            struct SuperMenuItem *SubItems;
	                         struct MenuItem MItem;
                            struct IntuiText IText;
                            struct SuperMenuItem *Next;};
extern struct SuperMenu{unsigned short MenuNum;
                        char *Title;
                        struct SuperMenuItem *Items;
                        unsigned short SetFlags,ClrFlags,ItemFlags;
	                     struct MenuItem *GenMItem;
                        struct IntuiText *GenIText;
	                     struct Menu Menu;
                        struct SuperMenu *Next;};
extern struct MenuItem *BuildMenu(struct SuperMenuItem [],unsigned short,
              struct MenuItem *,struct IntuiText *),
              *BuildMenuL(struct SuperMenuItem *,unsigned short,
              struct MenuItem *,struct IntuiText *);
extern struct Menu *BuildMenuStrip(struct SuperMenu [],unsigned short),
                   *BuildMenuStripL(struct SuperMenu *,short);
extern struct Screen *MakeScrn(short,short,short,short,short,char,char,
              unsigned short,unsigned short,struct TextAttr *,char *,
              struct Gadget *,struct BitMap *);
extern struct Window *MakeWind(short,short,short,short,char,char,unsigned long,
              unsigned long,struct Gadget *,struct Image *,char *,
              struct Screen *,struct BitMap *,short,short,unsigned short,
              unsigned short,unsigned short);

#endif